Announcement

Collapse
No announcement yet.

KDE's Falkon Browser Sees First Major Update In Nearly Three Years

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #11
    Originally posted by Danny3 View Post

    I need compatibility with Debian because I have some packages that come in .deb format only and because many tutorials use Ubuntu as a distro and troubleshooting is easier on Ubuntu / Debian based distros.
    So, because of the shitshow fragmentation of Linux package managers, I cannot move.
    Consider Distrobox/Podman as a means to inherit graphical applications from other distributions and integrate them with your host as well.
    This way, you can choose to (a) remain on Debian and access other distributions' repositories via Distrobox, or (b) have other distributions as a host, and occasionally integrate something from Debian/Ubuntu if the package is distributed as a .deb only.
    https://github.com/89luca89/distrobox/

    I hope this proves helpful and not too off-topic. Cheers and have a nice day.

    Comment


    • #12
      Originally posted by Danny3 View Post

      Yes, but the version in Kubuntu's repository is not updated yet.
      As for the Flatpak version, I don't like it too much as it doesn't allow me to download the executable and save it for offline use.
      What does that mean? The flatpak version doesn't allow you to save executables?

      Comment


      • #13
        Falkon is just a GUI over QtWebEngine, as long as engine is updated - browser is safe.

        Comment


        • #14
          Whatever happened to Konqueror and Rekonq?

          Comment


          • #15
            Konqueror uses QtWebEngine as well, it can be safe used.

            Comment


            • #16
              Well, it updated automatically to the newest versions whenever Qt is updated. So it is not like it hasn't had updates for that time, just not to the chrome.

              Comment


              • #17
                That reminds me. I need to clean up the Falkon patches to add the needed adblocker snippet support for adblocking on youtube. It seems a bit weird I am the only one who have had that for 6 months. Just need to figure out why ads are still playing if you open a video in a new window...

                Comment


                • #18
                  Originally posted by bvbfan View Post
                  Falkon is just a GUI over QtWebEngine, as long as engine is updated - browser is safe.
                  True, the problem is that some distributions don't update QtWebEngine. We see obsolete versions around, it is unacceptable, but a problem with distributions.

                  Comment


                  • #19
                    Originally posted by bvbfan View Post
                    Konqueror uses QtWebEngine as well, it can be safe used.
                    I thought Konqueror ran on WebKit/KHTML?

                    Comment


                    • #20
                      Originally posted by motang View Post

                      I thought Konqueror ran on WebKit/KHTML?
                      There is an option in its settings to switch between KHTML and QtWebEngine.

                      Comment

                      Working...
                      X